Zum Hauptinhalt springen
PATCH
/
crm-object-schemas
/
2026-03
/
schemas
/
{objectType}
cURL
curl --request PATCH \
  --url https://api.hubapi.com/crm-object-schemas/2026-03/schemas/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clearDescription": true,
  "allowsSensitiveProperties": true,
  "description": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "primaryDisplayProperty": "<string>",
  "requiredProperties": [
    "<string>"
  ],
  "restorable": true,
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ]
}
'
{
  "allowsSensitiveProperties": true,
  "archived": true,
  "fullyQualifiedName": "<string>",
  "id": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "objectTypeId": "<string>",
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "portalId": 123,
  "primaryDisplayProperty": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectType
string
erforderlich

Body

application/json
clearDescription
boolean
erforderlich
allowsSensitiveProperties
boolean
description
string
labels
object
primaryDisplayProperty
string

The name of the primary property for this object. This will be displayed as primary on the HubSpot record page for this object type.

requiredProperties
string[]

The names of properties that should be required when creating an object of this type.

restorable
boolean
searchableProperties
string[]

Names of properties that will be indexed for this object type in by HubSpot's product search.

secondaryDisplayProperties
string[]

The names of secondary properties for this object. These will be displayed as secondary on the HubSpot record page for this object type.

Antwort

successful operation

allowsSensitiveProperties
boolean
erforderlich
archived
boolean
erforderlich
fullyQualifiedName
string
erforderlich
id
string
erforderlich

A unique ID for this object type. Will be defined as {meta-type}-{unique ID}.

labels
object
erforderlich
name
string
erforderlich

A unique name for this object. For internal use only.

objectTypeId
string
erforderlich
requiredProperties
string[]
erforderlich

The names of properties that should be required when creating an object of this type.

searchableProperties
string[]
erforderlich

Names of properties that will be indexed for this object type in by HubSpot's product search.

secondaryDisplayProperties
string[]
erforderlich

The names of secondary properties for this object. These will be displayed as secondary on the HubSpot record page for this object type.

createdAt
string<date-time>

When the object type was created.

description
string
portalId
integer<int32>

The ID of the account that this object type is specific to.

primaryDisplayProperty
string

The name of the primary property for this object. This will be displayed as primary on the HubSpot record page for this object type.

updatedAt
string<date-time>

When the object type was last updated.

Last modified on April 9, 2026